﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GC___VIsibleColumn
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();
            this.gridControl1.DefaultColWidth = 70;
            this.gridControl1.Model.QueryColWidth += new Syncfusion.Windows.Forms.Grid.GridRowColSizeEventHandler(Model_QueryColWidth);
            this.gridControl1.MouseHover += new EventHandler(gridControl1_MouseHover);
            this.gridControl1.ColStyles[4].CellValue = "Sample text";
            this.gridControl1.ColStyles[5].CellValue = " Txt phase 1";
            this.gridControl1.QueryCellInfo += new GridQueryCellInfoEventHandler(gridControl1_QueryCellInfo);            
        }

        string toolTip;  
        bool flag = false; 
        int viewLayout;

        void Model_QueryColWidth(object sender, Syncfusion.Windows.Forms.Grid.GridRowColSizeEventArgs e)
        {        
            if (e.Index > this.gridControl1.ColCount-1)
            {
                if (gridControl1.ViewLayout.HasPartialVisibleCols)
                {
                    viewLayout = this.gridControl1.ViewLayout.LastVisibleCol; // +(gridControl1.ViewLayout.HasPartialVisibleCols ? -1 : 0); // visible column count                   
                   // MessageBox.Show("Partial Visible Column"); 
                }
                else
                {
                   // MessageBox.Show("Visible Column"); 
                }
               
                e.Handled = true;
            }

        }


        void gridControl1_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if (flag)
            {                
                if (e.ColIndex < viewLayout && e.RowIndex > 0)
                {
                    toolTip = this.gridControl1.ColStyles[viewLayout].CellValue.ToString();
                    e.Style.CellTipText = "visible";                   
                }
                else
                {                    
                   //  e.Style.CellTipText = "Partially visible";
                }
               
            }
        }

        void gridControl1_MouseHover(object sender, EventArgs e)
        {
            flag = true;            
        }
    }
}
